## gate.persist
Class Dummy

    java.lang.Object
      |
      +--gate.persist.Dummy

All Implemented Interfaces:
  Serializable

class Dummy
extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`boolean` `boolValue`
`float` `floatValue`
`int` `intValue`
`(package private) static long` `serialVersionUID`
`String` `stringValue`

Constructor Summary
`Dummy(int _int, String _string, boolean _bool, float _float)`

Method Summary
`boolean` `equals(Object obj)`
`String` `toString()`

Methods inherited from class java.lang.Object
`<clinit>, clone, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

### intValue

    public int intValue

### stringValue

    public String stringValue

### boolValue

    public boolean boolValue

### floatValue

    public float floatValue

Constructor Detail

### Dummy

    public Dummy(int _int,
                 String _string,
                 boolean _bool,
                 float _float)

Method Detail

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`